Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Token Provisioning and Management API

PUT /tokens/{tokenId}/data

put

This method is used by TSP to send the partial or complete data preparation used to personalize the payment application.

Path parameters
tokenIdstring · min: 1 · max: 48Required

Identifier of the token to update

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

Responses
204

successful

No content

put/tokens/{tokenId}/data
PUT /gtep/tsh/trapi/v1.0/tokens/{tokenId}/data HTTP/1.1
Host: api.dbp.thalescloud.io
x-request-id: text
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "issuerId": "text",
  "tokenPersoInfo": [
    {
      "name": "text",
      "value": "text",
      "keyIndex": "text"
    }
  ]
}

No content

PUT /tokens/{tokenId}/newData

put

This method is used by TSP to send the partial or complete data preparation used in order to re-personalize the payment application.

Path parameters
tokenIdstring · min: 1 · max: 48Required

Identifier of the token to update

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Body
issuerIdstring · min: 10 · max: 10Required

Unique Identifier of Issuer

repersoedTokenIdstring · min: 1 · max: 48Optional

new tokenId linked to the new DPAN BIN

Responses
204

successful

No content

put/tokens/{tokenId}/newData
PUT /gtep/tsh/trapi/v1.0/tokens/{tokenId}/newData HTTP/1.1
Host: api.dbp.thalescloud.io
x-request-id: text
Content-Type: application/json
Accept: */*
Content-Length: 155

{
  "issuerId": "text",
  "tokenInfo": {
    "exp": "1220",
    "last4": "1234"
  },
  "tokenPersoInfo": [
    {
      "name": "text",
      "value": "text",
      "keyIndex": "text"
    }
  ],
  "repersoedTokenId": "text"
}

No content

GET /healthCheck

get

This method is used by TSP to monitor TSH health. It should be used every 30 seconds in production environment.

Header parameters
x-request-idstring · min: 1 · max: 64Required

Unique request identifier use to trace function calls across system

Responses
204

successful

No content

get/healthCheck
GET /gtep/tsh/trapi/v1.0/healthCheck HTTP/1.1
Host: api.dbp.thalescloud.io
x-request-id: text
Accept: */*

No content

Last updated

Was this helpful?